geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bernd Eckenfels (JIRA)" <j...@apache.org>
Subject [jira] [Created] (GERONIMO-6538) jax-rs 2.0 spec- OSGi manifest headers have wrong version
Date Wed, 25 Mar 2015 21:30:54 GMT
Bernd Eckenfels created GERONIMO-6538:
-----------------------------------------

             Summary: jax-rs 2.0 spec- OSGi manifest headers have wrong version 
                 Key: GERONIMO-6538
                 URL: https://issues.apache.org/jira/browse/GERONIMO-6538
             Project: Geronimo
          Issue Type: Bug
      Security Level: public (Regular issues)
          Components: specs
    Affects Versions: Verification Required
         Environment: trunk source
            Reporter: Bernd Eckenfels
            Priority: Minor


The POM file contains 1.1 in the headers for the 2.0 spec:

https://github.com/apache/geronimo-specs/blob/trunk/geronimo-jaxrs_2.0_spec/pom.xml

 <Specification-Title>JSR-339 Java RESTful Web Services 1.1</Specification-Title>
<Specification-Vendor>Sun Microsystems, Inc.</Specification-Vendor>
<Specification-Version>1.1</Specification-Version>
<Export-Package>javax.ws.rs*;version=1.1</Export-Package>

And I also wonder if the pom aka project aka bundle version should be at least 2.0?



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message